# Deprecated API

## Contents

- Fields
- Methods

Deprecated Fields
Field
Description
ch.qos.logback.classic.PatternLayout.defaultConverterMap
replaced by DEFAULT_CONVERTER_MAP

Deprecated Methods
Method
Description
ch.qos.logback.classic.spi.ILoggingEvent.getMdc()
Replaced by [@link #getMDCPropertyMap}
ch.qos.logback.classic.spi.LoggingEvent.getMdc()
Replaced by [@link #getMDCPropertyMap}
ch.qos.logback.classic.spi.ThrowableProxyUtil.subjoinSTEPArray(StringBuilder, IThrowableProxy)
Use subjoinSTEPArray(StringBuilder sb, int indentLevel, IThrowableProxy tp) instead.
ch.qos.logback.core.Context.getExecutorService()
use `Context.getScheduledExecutorService()` instead
ch.qos.logback.core.joran.spi.Interpreter.getExecutionContext()
replaced by `Interpreter.getInterpretationContext()`
ch.qos.logback.core.pattern.PatternLayoutBase.setContextForConverters(Converter<E>)
Use `ConverterUtil.setContextForConverters(ch.qos.logback.core.Context, ch.qos.logback.core.pattern.Converter<E>)` instead. This method will be removed in future releases.
ch.qos.logback.core.pattern.PatternLayoutEncoderBase.setOutputPatternAsPresentationHeader(boolean)
replaced by `PatternLayoutEncoderBase.setOutputPatternAsHeader(boolean)`